Bug 222408 - Missing dependency for games/hedgewars
Summary: Missing dependency for games/hedgewars
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-17 17:14 UTC by gerrit
Modified: 2017-11-29 17:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gerrit 2017-09-17 17:14:19 UTC
I was unable to compile hedgewars with activated server part, it failed with

 Haskell library 'base' required


After installing devel/hs-base-compat manually, compilation finished happily. So this should probably be a dependency.
Comment 1 Dmitry Marakasov freebsd_committer 2017-11-16 17:44:23 UTC
This does not work. It fails with

-- Looking for mask in Control.Exception                                                                                                                                                                                                                                
-- Looking for mask in Control.Exception - not found                                                                                                                                                                                                                    
CMake Error at cmake_modules/CheckHaskellModuleExists.cmake:49 (message):                                                                                                                                                                                               
  Haskell library 'base' required                                                                                                                                                                                                                                       

while hs-base-compat does not contain Control.Exception.
Comment 2 Dmitry Marakasov freebsd_committer 2017-11-29 17:40:18 UTC
Fixed the other way
Comment 3 commit-hook freebsd_committer 2017-11-29 17:40:46 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Nov 29 17:40:16 UTC 2017
New revision: 455136
URL: https://svnweb.freebsd.org/changeset/ports/455136

Log:
  - Fix server build

  PR:		222408
  Reported by:	gerrit@weinberg2.de

Changes:
  head/games/hedgewars/Makefile
  head/games/hedgewars/files/patch-cmake__modules_checkModule.hs